<?php 
/**
 * The batch grant view file of salary module of ZDOO.
 *
 * @copyright   Copyright 2009-2021 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     salary
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::set('currencyList', $lang->currencyList);?>
<?php js::set('mainCurrency', $config->setting->mainCurrency);?>
<div id='mainTitle' class='clearfix'>
  <div class='btn-toolbar pull-left'>
    <?php if(!isonlybody()):?>
    <?php echo html::a('javascript:history.go(-1);', '<i class="icon icon-back icon-sm"></i> ' . $lang->goback, "class='btn btn-back'");?>
    <div class="divider"></div>
    <?php endif;?>
    <div class="page-title">
      <span class="text"><?php echo $lang->salary->batchGrant;?></span>
    </div>
  </div>
</div>
<?php if(empty($salaryList)):?>
<div class='alert'>
  <div class='alert alert-warning'><?php echo $lang->salary->batchGrantWarning;?></div>
</div>
<?php else:?>
<div class='panel'>
  <form id='ajaxForm' method='post' action='<?php echo inlink('batchGrant', 'step=save');?>'>
    <table class='table table-form table-borderless'>
      <thead>
        <tr class='text-center'>
          <th class='w-80px'><?php echo $lang->salary->account;?></th>
          <th class='w-160px required'><?php echo $lang->trade->depositor;?></th>
          <th class="w-160px <?php if($config->trade->settings->category) echo 'required';?>"><?php echo $lang->trade->category;?></th>
          <th class='w-260px required' id='moneyTh'><?php echo $lang->trade->money;?></th>
          <th class="w-160px <?php if($config->trade->settings->dept) echo 'required';?>"><?php echo $lang->trade->dept;?></th>
          <th class='w-140px required'><?php echo $lang->trade->handlers;?></th>
          <th class='w-100px required'><?php echo $lang->trade->date;?></th>
          <th ><?php echo $lang->trade->desc;?></th>
        </tr>
      </thead>
      <?php $today = helper::today();?>
      <?php foreach($salaryList as $id => $salary):?>
      <?php $grant = zget($grantList, $salary->account, '');?>
      <tr>
        <td class='text-center'><?php echo zget($users, $salary->account);?></td>
        <td><?php echo html::select("depositor[$id]", $depositors, zget($grant, 'depositor', ''), "id='depositor{$id}' class='form-control chosen'");?></td>
        <td><?php echo html::select("category[$id]", $categories, zget($grant, 'category', ''), "id='category{$id}' class='form-control chosen'");?></td>
        <td>
          <div class='input-group'>
            <span class='input-group-addon currency'><?php echo zget($currencies, $config->setting->mainCurrency);?></span>
            <?php echo html::hidden("currency[$id]", $config->setting->mainCurrency, "id='currency{$id}'");?>
            <?php echo html::input("money[$id]", $salary->actual, "id='money{$id}' class='form-control'");?>
            <span class='input-group-addon exchangeRate hidden'><?php echo $lang->trade->exchangeRate;?></span>
            <?php echo html::input("exchangeRate[$id]", '', "id='exchange{$id}' class='form-control exchangeRate hidden'");?>
          </div>
        </td>
        <td><?php echo html::select("dept[$id]", $depts, zget($grant, 'dept', ''), "id='dept{$id}' class='form-control chosen'");?></td>
        <td><?php echo html::select("handlers[$id][]", $users, $app->user->account, "id='handlers{$id}' class='form-control chosen' multiple");?></td>
        <td><?php echo html::input("date[$id]", $today, "id='date{$id}' class='form-control form-date'");?></td>
  	  <td><?php echo html::textarea("desc[$id]", sprintf($lang->salary->defaultDesc, zget($users, $salary->account), $salary->month), "id='desc{$id}' rows='1' class='form-control'");?></td>
      </tr>
      <?php endforeach;?>
      <tr>
        <td colspan='8' class='text-center form-actions'>
          <?php echo html::submitButton();?>
          <strong class='text-red'><?php echo $lang->salary->batchGrantTip;?></strong>
        </td>
      </tr>
    </table>
  </form>
</div>
<?php endif;?>
<?php include '../../common/view/footer.html.php';?>
