<?php 
/**
 * The grant view file of salary module of ZDOO.
 *
 * @copyright   Copyright 2009-2021 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     salary
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<?php js::set('currencyList', $currencies);?>
<?php js::set('mainCurrency', $config->setting->mainCurrency);?>
<form method='post' id='grantForm' action='<?php echo inlink('grant', "id={$salary->id}")?>'>
  <table class='table table-form'>
    <tr>
      <th class='w-100px'><?php echo $lang->salary->account;?></th>
      <td><?php echo zget($users, $salary->account);?></td>
      <td class='w-60px'></td>
    </tr>
    <tr>
      <th class='w-100px'><?php echo $lang->trade->depositor;?></th>
      <td>
        <div class='required required-wrapper'></div>
        <?php echo html::select('depositor', $depositors, zget($grant, 'depositor', ''), "class='form-control chosen'");?>
      </td>
      <td class='w-60px'></td>
    </tr>
    <tr>
      <th><?php echo $lang->trade->category;?></th>
      <td>
        <?php if($config->trade->settings->category) echo "<div class='required required-wrapper'></div>";?>
        <?php echo html::select('category', $categories, zget($grant, 'category', ''), "class='form-control chosen'");?>
      </td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->trade->money;?></th>
      <td>
        <div class='required required-wrapper'></div>
		<div class='input-group'>
		  <span class='input-group-addon currency'><?php echo zget($currencies, $config->setting->mainCurrency);?></span>
          <?php echo html::hidden('currency', $config->setting->mainCurrency);?>
		  <?php echo html::input('money', $salary->actual, "class='form-control'");?>
		  <span class='input-group-addon exchangeRate hidden'><?php echo $lang->trade->exchangeRate;?></span>
          <?php echo html::input('exchangeRate', '', "class='form-control exchangeRate hidden'");?>
		</div>
	  </td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->trade->dept;?></th>
      <td>
        <?php if($config->trade->settings->dept) echo "<div class='required required-wrapper'></div>";?>
        <?php echo html::select('dept', $depts, zget($grant, 'dept', $salary->dept), "class='form-control chosen'");?>
      </td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->trade->handlers;?></th>
      <td>
        <div class='required required-wrapper'></div>
        <?php echo html::select('handlers[]', $users, $app->user->account, "class='form-control chosen' multiple");?>
      </td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->trade->date;?></th>
      <td>
        <div class='required required-wrapper'></div>
        <?php echo html::input('date', helper::today(), "class='form-control form-date'");?>
      </td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->trade->desc;?></th>
	  <td><?php echo html::textarea('desc', sprintf($lang->salary->defaultDesc, zget($users, $salary->account), $salary->month), "class='form-control' rows='3'");?></td>
      <td></td>
    </tr>
    <tr>
      <th></th>
      <td colspan='2' class='form-actions'><?php echo html::submitButton();?></td>
    </tr>
  </table>
</form>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
